Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 971112 - [abrt] empathy-3.8.3-1.fc19: tpl_log_iter_pidgin_get_events: Process /usr/libexec/empathy-chat was killed by signal 11 (SIGSEGV)
[abrt] empathy-3.8.3-1.fc19: tpl_log_iter_pidgin_get_events: Process /usr/lib...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:4c79488f815ca35ecc298ec8698...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 13:51 EDT by Štefan Gurský
Modified: 2015-02-17 10:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.53 KB, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: core_backtrace (1.19 KB, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: dso_list (17.02 KB, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: environ (1.07 KB, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: maps (85.33 KB, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: open_fds (1.04 KB, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
File: var_log_messages (254 bytes, text/plain)
2013-06-05 13:51 EDT, Štefan Gurský
no flags Details
Skip invalid entries while iterate (1.38 KB, patch)
2013-08-06 08:18 EDT, Soeren Grunewald
no flags Details | Diff
Skip invalid entries while iterate v2 (1.43 KB, patch)
2013-08-08 02:55 EDT, Soeren Grunewald
no flags Details | Diff
Update rpm to v0.8.1 and add the patch (3.98 KB, patch)
2014-10-01 14:20 EDT, Soeren Grunewald
no flags Details | Diff
Update rpm to v0.8.1 and add the patch v2 (3.94 KB, patch)
2014-10-01 14:22 EDT, Soeren Grunewald
no flags Details | Diff

  None (edit)
Description Štefan Gurský 2013-06-05 13:51:15 EDT
Description of problem:
I doubleclicked a contact to open chat window and it opened and crashed immediately.
It happens with this (and so far only this) contact consistently even after deleting all logs (~/.local/share/Tplogger or something like that) and rebooting after deleting logs. Also after removing and adding this contact.

Version-Release number of selected component:
empathy-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-chat
crash_function: tpl_log_iter_pidgin_get_events
executable:     /usr/libexec/empathy-chat
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 tpl_log_iter_pidgin_get_events at log-iter-pidgin.c:87
 #1 tpl_log_walker_fill_cache_async_thread at log-walker.c:310
 #2 run_in_thread at gsimpleasyncresult.c:871
 #3 io_job_thread at gioscheduler.c:89
 #4 g_task_thread_pool_thread at gtask.c:1242
 #6 g_thread_proxy at gthread.c:798
Comment 1 Štefan Gurský 2013-06-05 13:51:19 EDT
Created attachment 757322 [details]
File: backtrace
Comment 2 Štefan Gurský 2013-06-05 13:51:23 EDT
Created attachment 757323 [details]
File: cgroup
Comment 3 Štefan Gurský 2013-06-05 13:51:28 EDT
Created attachment 757324 [details]
File: core_backtrace
Comment 4 Štefan Gurský 2013-06-05 13:51:33 EDT
Created attachment 757325 [details]
File: dso_list
Comment 5 Štefan Gurský 2013-06-05 13:51:37 EDT
Created attachment 757326 [details]
File: environ
Comment 6 Štefan Gurský 2013-06-05 13:51:41 EDT
Created attachment 757327 [details]
File: limits
Comment 7 Štefan Gurský 2013-06-05 13:51:45 EDT
Created attachment 757328 [details]
File: maps
Comment 8 Štefan Gurský 2013-06-05 13:51:49 EDT
Created attachment 757329 [details]
File: open_fds
Comment 9 Štefan Gurský 2013-06-05 13:51:53 EDT
Created attachment 757330 [details]
File: proc_pid_status
Comment 10 Štefan Gurský 2013-06-05 13:51:56 EDT
Created attachment 757331 [details]
File: var_log_messages
Comment 11 Štefan Gurský 2013-06-05 14:03:39 EDT
I found out that this was the only contact that had some logs in ~/.purple/logs. After deleting those, there is no more error.
Comment 12 Soeren Grunewald 2013-08-06 08:18:48 EDT
Created attachment 783304 [details]
Skip invalid entries while iterate

This patch allows at least open a new chat-window and existing one's won't be closed. But the history is not shown.
Comment 13 Soeren Grunewald 2013-08-08 02:55:05 EDT
Created attachment 784240 [details]
Skip invalid entries while iterate v2

I spend a couple more minutes for this, so patch works much better, because we get the history. But still this is only a workaround to avoid the crash.

Since the chat is working properly as part of a gnome-shell notification, the real problem is not the iteration it self.
Comment 14 Soeren Grunewald 2013-10-15 15:40:14 EDT
This bug tracked upstream under:
https://bugs.freedesktop.org/show_bug.cgi?id=63458
Comment 15 Radoslav Husar 2013-12-30 14:00:09 EST
Also applies to Fedora 20. Can we update the version?

https://retrace.fedoraproject.org/faf/reports/204155/
Comment 16 Soeren Grunewald 2014-10-01 13:37:00 EDT
Also applies to Fedora 21 alpha.
Comment 17 Soeren Grunewald 2014-10-01 14:20:32 EDT
Created attachment 943177 [details]
Update rpm to v0.8.1 and add the patch
Comment 18 Soeren Grunewald 2014-10-01 14:22:26 EDT
Created attachment 943178 [details]
Update rpm to v0.8.1 and add the patch v2
Comment 19 Fedora End Of Life 2015-01-09 13:20:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-17 10:28:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.